BioEntryDB (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.db.BioEntryDB interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.db
Interface BioEntryDB

All Superinterfaces:
  BioEntryDBLite

All Known Subinterfaces:
  RichSequenceDB

All Known Implementing Classes:
  AbstractBioEntryDB, AbstractRichSequenceDB, BioSQLBioEntryDB, BioSQLRichSequenceDB, GenbankRichSequenceDB, HashBioEntryDB, HashRichSequenceDB

    public interface BioEntryDB

extends BioEntryDBLite

. A database of RichSequences with accessible keys and iterators over all sequences.

This may have several implementations with rich behaviour, but basically most of the time you will just use the interface methods to do stuff. A sequence database contains a finite number of sequences stored under unique keys.

Since:
  1.5
Author:
  Matthew Pocock, Gerald Loeffler, Thomas Down, Richard Holland

Field Summary

Fields inherited from interface org.biojavax.bio.db.BioEntryDBLite
`BIOENTRYS`

Method Summary
`BioEntryIterator` | `getBioEntryIterator()` Returns a BioEntryIterator over all BioEntrys in the database.
`Set` | `ids()` Get an immutable set of all of the IDs in the database.

Methods inherited from interface org.biojavax.bio.db.BioEntryDBLite
`addBioEntry, getBioEntry, getBioEntrys, getBioEntrys, getName, removeBioEntry`

Method Detail

### ids

    Set ids()

  Get an immutable set of all of the IDs in the database. The ids are legal arguments to getBioEntry.

  Returns:
    a Set of ids - at the moment, strings

### getBioEntryIterator

    BioEntryIterator getBioEntryIterator()

  Returns a BioEntryIterator over all BioEntrys in the database. The order of retrieval is undefined.

  Returns:
    a BioEntryIterator over all BioEntrys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD